******------------------------------------------------------------------
*     This subroutine calculates expected values for each of the 
*     variables.
******------------------------------------------------------------------
      SUBROUTINE AVERS
******------------------------------------------------------------------
*     Double precision everything.
******------------------------------------------------------------------
      implicit double precision (a-h,o-z)
******------------------------------------------------------------------
*     Include files with all parameters and common blocks.
******------------------------------------------------------------------
      include 'fp_def.f'
      include 'cb_all.f'
******------------------------------------------------------------------
*     Estimate the expected values.
******------------------------------------------------------------------
      pave=0.0d0
      pavesq=0.0d0
      epave=0.0d0
      delave=0.0d0
      honave=0.0d0
      do i=0,1
         p=dble(i)
         do j=0,md
            eps=dble(j)/dfloat(md)
            do k=0,md
               del=dble(k)/dfloat(md)
               do l=0,md
                  hon=dble(l)/dble(md)

                  pave=pave+p*phi(i,j,k,l)
*                  pavesq=pavesq+(p**2.0d0)*phi(i,j,k,l)
                  epave=epave+eps*phi(i,j,k,l)
                  delave=delave+del*phi(i,j,k,l)
                  honave=honave+hon*phi(i,j,k,l)
               end do
            end do
         end do
      end do
******------------------------------------------------------------------
      return
      END
