******------------------------------------------------------------------
*     This program decides if the next article to be read supports
*     the theory A or B.
******------------------------------------------------------------------
      SUBROUTINE ARTICLE
******------------------------------------------------------------------
*     Double precision everything.
******------------------------------------------------------------------
      implicit double precision (a-h,o-z)
******------------------------------------------------------------------
*     Include files with all parameters and common blocks.
******------------------------------------------------------------------
      include 'fp_def.f'
      include 'cb_all.f'
******------------------------------------------------------------------
*      reptheta=theta+thetak*(alpha-theta)
*      proba=epreal*delreal+(1-epreal)*alpha

      ri=ran(nseed)
      r=0.1d0*(dfloat(irand)+ri-1.0d0)
      if (r.le.theta) then
         iart=0
      else
         iart=1
      end if

      rj=ran(nseed)
      r=0.1d0*(dfloat(jrand)+rj-1.0d0)
      if (r.le.reptheta) then
         irep=0
      else
         irep=1
      end if

******------------------------------------------------------------------
*     Update the hypercube counters.
******------------------------------------------------------------------
      irand=irand+1
      if (irand.ge.11) then
         irand=1
         jrand=jrand+1
         if (jrand.ge.11) then
            jrand=1
         end if
      end if

******------------------------------------------------------------------
      return
      END
